Subject: Re: bug#46165: No media present

From: Maxime Devos <[email-masked]>
Date: Sat, 30 Jan 2021 10:17:15 +0100

On Fri, 2021-01-29 at 21:02 -0300, Pablo Ferreira wrote:
> No, I can't.
> 
> Not now. I can't boot the system, only use android. I have to boot with my pen drive with Trisquel 8.

I'm presuming a setup like this:

* Computer, with following hardware:
  + Hard disk, with broken Guix System+GRUB installation.
  + USB ports, in which a USB drive with a functioning Trisquel is installed
  + Keyboard, screen, etc.

Would it be possible to boot Trisquel on the computer (via the pendrive),
and on the live system mount the relevant filesystems of the hard disk.
(E.g. using gnome-disks, which has a nice interface.)

Here's some speculative troubleshooting:

> > > When I change from uefi to legacy, the system show what you can see in the
> > > picture.
Legacy == BIOS and UEFI == that other boot system, right?
The GRUB variants for these are the ‘grub’ package and the ‘grub-efi’
package I think (see 10.13 Bootloader Configuration). The bootloader
variant and the booting system probably need to match.

Maxime
-- 
Maxime Devos <[email-masked]>
PGP Key: C1F3 3EE2 0C52 8FDB 7DD7  011F 49E3 EE22 1917 25EE
Freenode handle: mdevos